package cn.com.qmth.examcloud.service.examwork.dao;

import java.util.List;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.examwork.entity.ExamOrg;

public interface ExamOrgRepo
		extends
			JpaRepository<ExamOrg, Long>,
			QueryByExampleExecutor<ExamOrg> {

	List<ExamOrg> findAllByExamId(Long examId, Pageable pageable);

	List<ExamOrg> findAllByExamIdAndOrgId(Long examId, Long orgId, Pageable pageable);

}
